Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPublishType Class Reference

The class eZPublishType does. More...

Inheritance diagram for eZPublishType:

## Public Member Functions
| __construct ()
| initializeEvent ( $event, $params)
| eventContent ( $event)
Public Member Functions inherited from eZNotificationEventType
| __construct ( $notificationEventTypeString)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| eventDescription ()
| execute ( $event)

## Public Attributes
const | NOTIFICATION_TYPE_STRING = 'ezpublish'
Public Attributes inherited from eZNotificationEventType
| $NotificationEventTypeString
| $Attributes

## Additional Inherited Members
Static Public Member Functions inherited from eZNotificationEventType
static | create ( $notificationEventTypeString)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)
static | register ( $notificationTypeString, $className)

## Detailed Description

The class eZPublishType does.

Definition at line 17 of file ezpublishtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPublishType::__construct | ( |  | ) |

Definition at line 21 of file ezpublishtype.php.

## Member Function Documentation

## ◆ eventContent()

eZPublishType::eventContent | ( |  | $event | ) |

Reimplemented from eZNotificationEventType.

Definition at line 33 of file ezpublishtype.php.

References eZContentObjectVersion\fetchVersion().

## ◆ initializeEvent()

eZPublishType::initializeEvent | ( |  | $event,
|  |  | $params
| ) |  |

Reimplemented from eZNotificationEventType.

Definition at line 26 of file ezpublishtype.php.

References eZDebugSetting\writeDebug().

## Member Data Documentation

## ◆ NOTIFICATION_TYPE_STRING

const eZPublishType::NOTIFICATION_TYPE_STRING = 'ezpublish'

Definition at line 19 of file ezpublishtype.php.

The documentation for this class was generated from the following file:

- ezpublishtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.